Skip to main content
GET
/
units
List units
curl --request GET \
  --url https://app.lanten.co/api/open/v1/units \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "fullAddress": "<string>",
      "addressLine1": "<string>",
      "addressLine2": "<string>",
      "city": "<string>",
      "county": "<string>",
      "country": "<string>",
      "postcode": "<string>",
      "area": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "tenantUnits": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "tenant": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "firstName": "<string>",
            "lastName": "<string>",
            "email": "jsmith@example.com"
          }
        }
      ]
    }
  ],
  "pagination": {
    "total": 42,
    "page": 1,
    "pageSize": 20,
    "pageCount": 3
  }
}

Authorizations

Authorization
string
header
required

Query Parameters

Search by address.

page
integer
default:1
pageSize
integer
default:20
Required range: x <= 50

Response

Paginated list of units

data
object[]
pagination
object